<?php

/**
 *  ps.
 */
include_once __DIR__ . '/../../../main.php';                                    # 导入game utils
include_once __DIR__ . '/../Mo/payResp.php';                                    # 导入通用返回值结构
include_once __DIR__ . '/../Mo/payRequest.php';                                 # 导入通用订单请求结构

use loyalsoft\CLog;                                                             # 添加 use
use loyalsoft\JsonUtil;
use loyalsoft\HttpUtil;

$tag = "[mi.pay]";
HttpUtil::PostOnly();                                                           # 限定客户端用post
$str = HttpUtil::getQueryString();
Clog::pay($tag . " 请求串 " . $str);
## 提取参数串
// $str=gzinflate($str);                                                        # 编码方案
$data = JsonUtil::decode($str);
$req = new payRequest($data);                                                   # 创建订单
$resp = $req->AntiAdditionCheck();                                              # 防沉迷金额校验
if ($resp->err != 0) {
    exit($resp);                                                                # 返回
}
CLog::pay($tag . "平台字符串" . $req->getPlatStr());

function encodeParams($params) {
    $arr = array();
    foreach ($params as $k => $value) {
        $arr[urlencode($k)] = urlencode($value);
    }
    return $arr;
}

if ($req->InserDataBase()) {
    CLog::pay($tag . '创建订单' . $req);
    $ret = array(#                                                              # 返回值
        'err' => 0, #                                                           # 错误码
        'platformCode' => 'mi', #                                               # 平台
        'cpOrderId' => $req->cpOrderId, #                                       # 渠道订单号
    );
    echo json_encode($ret);
    CLog::pay("$tag 后台创建订单成功" . $req);
} else {
    CLog::pay($tag . ' 创建订单失败' . $req);
    echo payResp::err(1, '后台创建订单失败');                                     # 返回值
}